<?php

class Controller_Office_Disciplines extends Controller_Environment_Office {
    public function action_index() {
        $this->twig->set_filename(self::OFFICE . 'disciplines/index');
    }

    public function action_fullness_noukd() {
        $semesterID = Model_System::$SemesterID;
        $facultyID = $this->user->Faculty->ID;

        $this->twig->set_filename(self::OFFICE . 'disciplines/fullness')
            ->set([
                'Disciplines' => Model_Disciplines::getWithFullness('noukd', $semesterID, $facultyID),
                'Teachers'    => Model_Teachers::ofFaculty($facultyID)->groupByUniqueKey('ID'),
            ]);
    }

    public function action_fullness_norate() {
        $semesterID = Model_System::$SemesterID;
        $facultyID = $this->user->Faculty->ID;

        $this->twig->set_filename(self::OFFICE . 'disciplines/fullness')
            ->set([
                'Disciplines' => Model_Disciplines::getWithFullness('norate', $semesterID, $facultyID),
                'Teachers'    => Model_Teachers::ofFaculty($facultyID)->groupByUniqueKey('ID'),
            ]);
    }

    public function action_fullness_full() {
        $semesterID = Model_System::$SemesterID;
        $facultyID = $this->user->Faculty->ID;

        $this->twig->set_filename(self::OFFICE . 'disciplines/fullness')
            ->set([
                'Disciplines' => Model_Disciplines::getWithFullness('full', $semesterID, $facultyID),
                'Teachers'    => Model_Teachers::ofFaculty($facultyID)->groupByUniqueKey('ID'),
            ]);
    }
}
